#include "level_design.h"
#include "advanced_enemy.h"
#include "basic_enemy.h"
#include "dynamic_enemy.h"
#include "walker_objects.h"
#include "background_flash.h"
#include "player.h"

LevelInfo PLevels[] = 
{     
	{ // Level ** 01 **
		LGT_KILLENEMY, "",
		{
			{40,   -1, BET_BLOB1,           LLT_ENEMY,     0.1f, 0.1f, 0.0008f, OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{15,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 02 **
		LGT_KILLENEMY, "",
		{
			{19,   -1, BET_BLOB1,           LLT_ENEMY,     0.2f, 0.2f, 0.0008f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},
			{1,    -1, BET_BLOB1,           LLT_ENEMY,     0.2f, 0.2f, 0.0008f, WKO_POWATTRACT,    LLT_FRIENDS, 1},
				
			{15,   -1, BET_BLOB2,           LLT_ENEMY,     0.2f, 0.2f, 0.0008f, OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},

            {2,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.4f, 0.4f, 0.0f,   OBJT_NULL, LLT_NULL, 0},
			{15,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 03 **
		LGT_KILLENEMY, "",
		{
			{40,   -1, BET_BLOB2,           LLT_ENEMY,     .3f, .3f,   0.0008f, WKO_POWEXTRALIFE, LLT_FRIENDS, 1},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{1,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0008f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
            {5,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.5f, 0.5f, 0.0f,   OBJT_NULL, LLT_NULL, 0},
			{15,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 04 **
		LGT_KILLENEMY, "",
		{
			{30,   -1, BET_BLOB_SHIP1,           LLT_ENEMY,     0.5f, .5f,  0.0008f, WKO_POWEXTRALIFE, LLT_FRIENDS, 1},
            {1,    -1, AET_BRAIN1,          LLT_ENEMY,     0.3f, .3f,  0.0008f, WKO_POWSMARTBOMB,    LLT_FRIENDS, 1},
            {2,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0008f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
            {3,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.4f, 0.4f, 0.0f,   OBJT_NULL, LLT_NULL, 0},
			{25,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 05 **
		LGT_KILLENEMY, "",
		{
			{20,   -1, BET_BLOB1,           LLT_ENEMY,     0.5f, .5f,  0.0008f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 1},
            {1,    -1, AET_BRAIN1,          LLT_ENEMY,     0.5f, .5f,  0.0008f, OBJT_NULL,         LLT_FRIENDS, 1},
			{10,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, .5f,  0.0008f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},
						
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {3,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0002f, OBJT_NULL, LLT_NULL, 0},
            {1,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.2f, 0.2f, 0.0001f, OBJT_NULL, LLT_NULL, 0},
			{25,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 06 **
		LGT_KILLENEMY, "",
		{
			{5,    -1, BET_BLOB_SPLITTER,   LLT_ENEMY,     0.3f, 0.3f, 0.0009f, WKO_POWATTRACT,   LLT_FRIENDS, 1},
            {5,    -1, AET_BRAIN1,          LLT_ENEMY,     0.3f, 0.3f, 0.0009f, WKO_POWEXTRALIFE, LLT_FRIENDS, 1},
            {5,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {5,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{5,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{10,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 07 **
		LGT_KILLENEMY, "",
		{
			{5,    -1, BET_BLOB_SPLITTER,   LLT_ENEMY,     0.3f, .3f,  0.0009f, WKO_POWATTRACT,   LLT_FRIENDS, 1},
            {10,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.3f, .3f,  0.0009f, WKO_POW3FIRE,     LLT_FRIENDS, 1},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{1,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0002f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},            
			{30,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 08 **
		LGT_KILLENEMY, "",
		{
			{5,    -1, BET_BLOB_SPLITTER,   LLT_ENEMY,     0.3f, 0.3f, 0.0001f, WKO_POWATTRACT,   LLT_FRIENDS, 1},
            {15,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, 0.5f, 0.0002f, WKO_POW3FIRE,     LLT_FRIENDS, 1},
			{10,   -1, BET_BLOB_PODS,       LLT_ENEMY,     0.4f, 0.4f, 0.0001f, WKO_POWEXTRALIFE, LLT_FRIENDS, 3},    			

            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{1,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0002f, OBJT_NULL, LLT_NULL, 0},            
			{5,    -1, BET_ELECTRODE1,       LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 09 **
		LGT_KILLENEMY, "",
		{
			{50,   -1, AET_IMPOSROBOT1,     LLT_ENEMY,     0.1f, .1f,  0.0002f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},            
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0001f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},            			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** BOSS 10 **
		LGT_KILLENEMY, "",
		{
			{1,   400, AET_BOSS1,           LLT_ENEMY,     .2f, .2f,   0.0005f, OBJT_NULL, LLT_NULL, 0},
            {25,    2, BET_BLOB1,           LLT_ENEMY,     .2f, .2f,   0.0005f, WKO_POWSMARTBOMB, LLT_FRIENDS, 1},
            {2,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{2,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {20,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},						
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 11 **
		LGT_KILLENEMY, "",
		{
            {10,   -1, BET_BLOB_PODS,       LLT_ENEMY,     0.2f, .2f,  0.0001f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    
			{2,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0002f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},            
            {1,    -1, AET_BRAIN1,          LLT_ENEMY,     0.2f, 0.2f, 0.0002f, WKO_POWATTRACT,    LLT_FRIENDS, 1},
			{15,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, 0.5f, 0.0002f, WKO_POW3FIRE,     LLT_FRIENDS, 1},
            {2,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{2,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.4f, 0.4f, 0.0f,   OBJT_NULL, LLT_NULL, 0},

			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},
	

    { // Level ** 12 **
		LGT_KILLENEMY, "",
		{
			{10,   -1, BET_BLOB_PODS,       LLT_ENEMY,     0.3f, 0.3f, 0.0006f, OBJT_NULL, LLT_NULL, 0},    						
            {10,   -1, AET_ORB_SMALL,       LLT_ENEMY,     0.3f, 0.3f, 0.0006f, OBJT_NULL, LLT_NULL, 0},		
            {1,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.5f, 0.5f, 0.0001f, OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
			{10,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	    OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 13 **
		LGT_KILLENEMY, "",
		{
			{30,   -1, BET_BLOB_SPLITTER,   LLT_ENEMY,     0.5f, 0.5f, 0.0006f, OBJT_NULL, LLT_NULL, 0},    						
            {2,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.5f, 0.5f, 0.0001f,    OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
			{10,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	    OBJT_NULL, LLT_NULL, 0},			
			{1,    -1, AET_LASER_HORZ,      LLT_ELECTRODE, 0.2f, 0.2f,  0.00f,  OBJT_NULL, LLT_NULL, 0},    
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 14 **
		LGT_KILLENEMY, "",
		{
			{1,    20, BET_BLOB_SHIP1,           LLT_ENEMY,     0.3f, 0.3f, 0.0006f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},    						
            {10,   -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {10,   -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
			{7,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.002f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


	{ // Level ** 15 **
		LGT_KILLENEMY, "",
		{
			{20,   -1, BET_BLOB2,           LLT_ENEMY,     0.4f, 0.4f, 0.003f,  OBJT_NULL, LLT_NULL, 0},    						
            {2,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
			{15,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	    OBJT_NULL, LLT_NULL, 0},			
			{1,    -1, WKO_RAIN1,           LLT_FRIENDS,   3.5,  3.5,  0,	    OBJT_NULL, LLT_NULL, 0},			
			{1,    -1, AET_LASER_HORZ,      LLT_ELECTRODE, 0.2f, 0.2f,  0.00f,  OBJT_NULL, LLT_NULL, 0},    
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

	{ // Level ** 16 **
		LGT_KILLENEMY, "",
		{
			{15,  MAX_INT, BET_ELECTRODE1,   LLT_ELECTRODE,  1.9f,  1.9f, 0,	    OBJT_NULL, LLT_NULL, 0},			
			{20,    2, BET_BLOB1,         LLT_ENEMY,      0.5f,  0.5f, 0.0008f, OBJT_NULL, LLT_NULL, 0},
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

	{ // Level ** 17 **
		LGT_KILLENEMY, "",
		{
            {19,   -1, AET_BRAIN1,          LLT_ENEMY,     0.3f, .3f,  0.001f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
			{1,    -1, AET_BRAIN1,          LLT_ENEMY,     0.3f, .3f,  0.001f, WKO_POW3FIRE,		LLT_FRIENDS, 1},
            {10,   -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {10,   -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{10,   -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{4,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0001f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
			{-1,   -1, OBJT_NULL,			LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

	{ // Level ** 18 **
		LGT_KILLENEMY, "",
		{
			
			{1,    -1, AET_BULL_DROP,       LLT_ELECTRODE, 0.4f, 1.1f,  0.00f,  OBJT_NULL,  LLT_NULL, 0},    
			{15,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, 0.5f,  0.001f, WKO_POW3FIRE,     LLT_FRIENDS, 1},
			{5,     3, BET_BLOB2,           LLT_ENEMY,     0.2f, 0.2f,  0.001f, OBJT_NULL, LLT_NULL, 0},

            {2,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{2,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0001f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},

			{2, MAX_INT, BET_ELECTRODE1,      LLT_ELECTRODE, 2.0f, 2.0f, 0,	   OBJT_NULL, LLT_NULL, 0},			

			{-1,   -1, OBJT_NULL,			LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


	{ // Level ** 19 **
		LGT_KILLENEMY, "",
		{
			{50,    2, BET_BLOB1,           LLT_ENEMY,     .2f, .2f, 0.0005f,   BET_SHOT_REFIRE,   LLT_ENEMY, 50},
			{10,   -1, BET_BLOB1,           LLT_ENEMY,     .3f, .3f, 0.0005f,   WKO_POWSMARTBOMB, LLT_FRIENDS, 1},

			{2,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE, 0.8f, 0.8f, 0.00005f, OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{2,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			
			{-1,   -1, OBJT_NULL,			LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 20 **
		LGT_KILLENEMY, "",
		{
			{1,    30, AET_BOSS_BRAIN,      LLT_ENEMY,     1.3f, 1.3f, 0.0001f, OBJT_NULL, LLT_NULL, 0},
			{1,    -1, WKO_POWFASTERFIRE,   LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
		
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 21 **
		LGT_KILLENEMY, "",
		{
			{1,    -1, AET_BULL_DROP,       LLT_ELECTRODE, 0.4f, 1.1f,  0.00f,  OBJT_NULL,  LLT_NULL, 0},    
			{15,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, 0.5f,  0.001f, WKO_POW3FIRE,     LLT_FRIENDS, 1},
			{15,   -1, AET_SHIPSHOOTER,     LLT_ENEMY,     0.3f, 0.3f, 0.0008f, OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{20,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 22 **
		LGT_KILLENEMY, "",
		{
			{15,    2, BET_BLOB1,            LLT_ENEMY,     0.5f, 0.5f,  0.001f, WKO_POWEXTRALIFE,     LLT_FRIENDS, 2},
            {1,    -1, AET_LASER_HORZ,      LLT_ELECTRODE, 0.2f, 0.2f,  0.00f,  OBJT_NULL, LLT_NULL, 0},   
            {1,    -1, AET_LASER_VERT,      LLT_ELECTRODE, 0.2f, 0.2f,  0.00f,  OBJT_NULL, LLT_NULL, 0},   
			{15,   -1, AET_SHIPSHOOTER,     LLT_ENEMY,     0.5f, 0.5f,  0.0008f, OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {2,    -1, WKO_WENCH,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
			{20,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	    OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 23 **
		LGT_KILLENEMY, "",
		{
			{1,    -1, AET_ORB_BIG,            LLT_ENEMY,     3.1f, 3.1f, 0.0008f, OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {10,    2, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, 0.5f,  0.0008f, WKO_POWSMARTBOMB, LLT_FRIENDS, 1},            
			{3,    -1, BET_BLOB_PODS,       LLT_ENEMY,     0.5f, 0.5f,  0.0005f, WKO_POW3FIRE,     LLT_FRIENDS, 2},
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 24 **
		LGT_KILLENEMY, "",
		{
			{8,   -1, AET_SPAWNER1,        LLT_ENEMY,     3.1f, 3.1f, 0.0008f, WKO_POWEXTRALIFE,    LLT_FRIENDS, 4},
            {1,   -1, AET_SPAWNER1,        LLT_ENEMY,     3.1f, 3.1f, 0.0008f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
            {1,   -1, AET_SPAWNER1,        LLT_ENEMY,     3.1f, 3.1f, 0.0008f, WKO_POW3FIRE,        LLT_FRIENDS, 1},
            {1,   -1, AET_SPAWNER1,        LLT_ENEMY,     3.1f, 3.1f, 0.0008f, WKO_POWATTRACT,      LLT_FRIENDS, 1},
            {5,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {6,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {7,    -1, WKO_WENCH,             LLT_FRIENDS,   0.5f, 0.5f, 0,	    OBJT_NULL, LLT_NULL, 0},
            {2,    -1, AET_BRAIN1,          LLT_ENEMY,     0.3f, .3f,  0.0008f, BET_SHOT_REFIRE,   LLT_ENEMY, 2},			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


    { // Level ** 25 **
		LGT_KILLENEMY, "",
		{
            {1,    -1, WKO_RAIN1,           LLT_FRIENDS,   3.5,  3.5,  0,	     OBJT_NULL, LLT_NULL, 2},
			{1,    60, AET_ORB_BIG,            LLT_ENEMY,     3.1f, 3.1f, 0.0008f,  WKO_POWATTRACT, LLT_FRIENDS, 1},
            {5,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	     OBJT_NULL, LLT_NULL, 0},
            {5,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	     OBJT_NULL, LLT_NULL, 0},
			{10,    2, BET_BLOB_SPLITTER,      LLT_ENEMY,     0.4f, 0.4f, 0.0009f, OBJT_NULL, LLT_NULL, 0},			
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 26 **
		LGT_KILLENEMY, "",
		{
			{60,   -1, BET_BLOB_SPLITTER,      LLT_ENEMY,     0.4f, 0.4f, 0.0009f, OBJT_NULL, LLT_NULL, 0},			
            {1,    -1, WKO_WENCH,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 27 **
		LGT_KILLENEMY, "",
		{
            {2,    -1, AET_LASER_HORZ,      LLT_ELECTRODE, 0.4f, 0.4f,  0.00f,  OBJT_NULL, LLT_NULL, 0},   
            {2,    -1, AET_LASER_VERT,      LLT_ELECTRODE, 0.4f, 0.4f,  0.00f,  OBJT_NULL, LLT_NULL, 0},   
            {10,    4, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, .5f,  0.0008f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},
            {1,    -1, AET_SPAWNER1,        LLT_ENEMY,     2.8f, 2.8f, 0.0008f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
            {1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},

			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 28 **
		LGT_KILLENEMY, "",
		{
			{2,    -1, AET_BULL_DROP,       LLT_ELECTRODE, 0.5f, 1.1f,  0.00f,  OBJT_NULL,  LLT_NULL, 0},    
			{15,    7, AET_SHIPSHOOTER,     LLT_ENEMY,     0.3f, 0.3f, 0.0008f, WKO_POWSHOCKBLASTER, LLT_FRIENDS, 2},
            {1,     7, AET_SHIPSHOOTER,     LLT_ENEMY,     0.3f, 0.3f, 0.0008f, WKO_POWEXTRALIFE, LLT_FRIENDS, 2},		
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 29 **
		LGT_KILLENEMY, "",
		{			
	        {15,    5, BET_ELECTRODE1,      LLT_ENEMY,     2.0,  2.0,  0,	           OBJT_NULL,        LLT_NULL,    0},	
            {10,   -1, BET_HEDGEHOG,        LLT_ENEMY,     0.5f, .5f,  0.0008f,    WKO_POWEXTRALIFE, LLT_FRIENDS, 3},
            {10,   -1, AET_ORB_SMALL,       LLT_ENEMY,     0.4f, 0.4f, 0.0006f, OBJT_NULL,        LLT_NULL, 3},            
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

    { // Level ** 30 **
		LGT_KILLENEMY, "",
		{
			{1,    -1,  AET_BIG_BRIAN_BOSS,  LLT_ENEMY,     0.6f, 0.6f, 0.0001f, OBJT_NULL, LLT_NULL, 0},
            {1,MAX_INT, AET_ORB_OF_POW,      LLT_ELECTRODE,   4.5f, 4.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
			
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},

/*

    { // Level ** ? **
		LGT_KILLENEMY, "",
		{
            {0,    -1, BET_BLOB1,           LLT_ENEMY,     .2f, .2f, 0.0005f,   BET_SHOT_REFIRE,     LLT_ENEMY, 50},
            {1,    -1, BET_BLOB_PODS,           LLT_ENEMY,     0.0f, 0.0f,  0.00f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    			
			
			{10,   -1, BET_BLOB_SPLITTER,     LLT_ENEMY, 0.5f, 0.5f,  0.00f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    

			{0,    -1, BET_HEDGEHOG,        LLT_ENEMY, 0.5f, 0.5f,  0.00f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    
            {0,    -1, AET_BULL_DROP,       LLT_ELECTRODE, 0.3f, 0.8f,  0.00f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    

            {0,    -1, AET_LASER_HORZ,      LLT_ELECTRODE, 0.2f, 0.2f,  0.00f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    
			{0,    -1, AET_LASER_VERT,      LLT_ELECTRODE, 0.3f, 0.3f,  0.00f, WKO_POWEXTRALIFE,  LLT_FRIENDS, 3},    
            {0,    -1, AET_BRAIN1,          LLT_ENEMY,     0.4f, 0.4f,  0.0f, WKO_POWATTRACT,    LLT_FRIENDS, 1},
            {0,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {0,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {0,    -1, WKO_WENCH,           LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {0,    -1, WKO_RAIN1,           LLT_FRIENDS,   1.5f, 1.5f, 0,	   OBJT_NULL, LLT_NULL, 0},
            {0,    -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0,    0,	   0,	   OBJT_NULL, LLT_NULL, 0},			
			{0,    -1, AET_SPAWNER1,        LLT_ENEMY,     0.0f, 0.0f, 0.0f, WKO_POWFASTERFIRE, LLT_FRIENDS, 1},            

            
			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},



    // Level ?
	{
		LGT_KILLENEMY, "",

		{
			{10,   -1, BET_BLOB_PODS,            LLT_ENEMY,     .2f, .2f, 0.0005f,    WKO_POWEXTRALIFE,    LLT_FRIENDS, 10},
            {0,    -1, BET_BLOB1,           LLT_ENEMY,     .2f, .2f, 0.0005f,   BET_SHOT_REFIRE,     LLT_ENEMY, 50},
			{0,    -1, BET_BLOB2,           LLT_ENEMY,     .7f, .7f, 0.002f,   WKO_POWSHOCKBLASTER,    LLT_FRIENDS, 10},
			{0,    -1, BET_BLOB3,           LLT_ENEMY,     .7f, .7f, 0.002f,   WKO_POWSHOCKBLASTER,    LLT_FRIENDS, 10},
			{0,    -1, AET_BRAIN1,          LLT_ENEMY,       .7f, .7f, 0.002f, WKO_POWSMARTBOMB,    LLT_FRIENDS, 1},
			{0,    -1, AET_SPAWNER1,        LLT_ENEMY,     .5f, .5f, 0.002f,   WKO_POWSHOCKBLASTER, LLT_FRIENDS, 1},
            {0,    -1, AET_ROBOTBULLY1,     LLT_ELECTRODE,     .2f, .2f, 0.0f, OBJT_NULL, LLT_NULL, 0},
			{1,    -1, WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{1,    -1, WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{0,    -1, WKO_POWEXTRALIFE,    LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{0,    -1, WKO_POWATTRACT  ,    LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{0,    -1, WKO_POW3FIRE,        LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{0,    -1, WKO_POWFASTERFIRE,   LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{0,    -1, WKO_POWSHOCKBLASTER, LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},        
			{0,    -1, WKO_POWSMARTBOMB,    LLT_FRIENDS,   0.5f, 0.5f, 0,	   OBJT_NULL, LLT_NULL,0},
			{10,   -1, BET_ELECTRODE1,      LLT_ELECTRODE, 0, 0,		0,	   OBJT_NULL, LLT_NULL,0},
			{0,    -1, WKO_POWSHOCKBLASTER, LLT_FRIENDS,   0.5f, 0.5f,  0,     OBJT_NULL, LLT_NULL,0},
			

			{-1,   -1, OBJT_NULL,   LLT_NULL, 0, 0, 0, OBJT_NULL, LLT_NULL, 0}
		}
	},


*/

/*
        {30,   LGT_KILLENEMY,  BET_BLOB1,         LLT_ENEMY,     0.2f, 0.2f, 0.002f, WKO_POWEXTRALIFE, 10},
		{1,   LGT_KILLENEMY,  AET_BRAIN1,         LLT_ENEMY,     0.5f, 0.5f, 0.002f, WKO_POWSMARTBOMB, 1},
        {1,   LGT_KILLENEMY,  AET_MUTANT1,        LLT_ENEMY,     0.5f, 0.5f, 0.002f, WKO_POWSHOCKBLASTER, 1},
        {0,  LGT_KILLENEMY,  WKO_SAM,             LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},
		{0,  LGT_KILLENEMY,  WKO_MAX,             LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},
        {0,  LGT_KILLENEMY,  WKO_POWEXTRALIFE,    LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},
        {0,  LGT_KILLENEMY,  WKO_POW3FIRE,        LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},
        {0,  LGT_KILLENEMY,  WKO_POWFASTERFIRE,   LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},
        {0,  LGT_KILLENEMY,  WKO_POWSHOCKBLASTER, LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},        
        {0,  LGT_KILLENEMY,  WKO_POWSMARTBOMB,    LLT_FRIENDS,   0.5f, 0.5f, 0, OBJT_NULL, 0},
		{10,  LGT_KILLENEMY,  BET_ELECTRODE1,     LLT_ELECTRODE, 0, 0,		 0, OBJT_NULL, 0},
		{0,  LGT_KILLENEMY,  WKO_POWSHOCKBLASTER, LLT_FRIENDS,  0.5f, 0.5f,  0, OBJT_NULL, 0},
*/		
};
