#ifndef _PLAYER_
#define _PLAYER_

#include "objs.h"

#define EXTRA_LIFE 30000

enum PLYPOWType {PPOW_NONE = 0, PPOW_3WAYFIRE, PPOW_HOTBULLETS, PPOW_FASTERFIRE, PPOW_ATTRACT, PPOW_SHOCKBLASTER};
class Player : public SDLSprite
{
    public:
		int        playersScore;
		int        playerLives;
        int        gameLevel;
        
        PLYPOWType powType;
        int        powTime;
		int        powShockBlasterTime;
		SDLSprite* pShockBlasterObj;
		int		   shockDist;
        int        hotBulletTime;
		int        bonusMultipler;        
		ObjectType lastMove;
        bool       gotHit;
		
        Player ();
		virtual ~Player();

		void add2Score (int amnt);

		void incrementBonusMultiplier (void);

		void setAttractMode (bool onOff);
        void setPlayerPOW (PLYPOWType type);

        void setLevelStartPos (void);

       
        void levelReset (void);
	
		SDLSprite* getShockBlasterObj (int& distance);

		virtual void PlaySnd (SoundType sndID);

        void processKeyboard (void);
};

#endif
